Package org.eclipse.cdt.core.parser

# Class ParserUtil

java.lang.Object
org.eclipse.cdt.core.parser.ParserUtil

public class ParserUtil extends Object

Restriction:
  This class is not intended to be subclassed by clients.
Restriction:
  This class is not intended to be instantiated by clients.

## Constructor Summary

Constructors
Constructor
Description
`ParserUtil()`

## Method Summary

Modifier and Type
Method
Description
`static CodeReader`
`createReader(String path, Iterator<IWorkingCopy> workingCopies)`
Deprecated.
`protected static char[]`
`findWorkingCopy(org.eclipse.core.resources.IResource resultingResource, Iterator<IWorkingCopy> workingCopies)`
`static char[]`
`findWorkingCopyBuffer(String path, Iterator<IWorkingCopy> workingCopies)`
`static IParserLogService`
`getParserLogService()`
`static org.eclipse.core.resources.IResource`
`getResourceForFilename(String finalPath)`
`static IParserLogService`
`getScannerLogService()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ParserUtil

public ParserUtil()

## Method Details

### getParserLogService

public static IParserLogService getParserLogService()

### getScannerLogService

public static IParserLogService getScannerLogService()

### findWorkingCopyBuffer

public static char[] findWorkingCopyBuffer(String path, Iterator<IWorkingCopy> workingCopies)

### createReader

@Deprecated public static CodeReader createReader(String path, Iterator<IWorkingCopy> workingCopies)
Deprecated.

### getResourceForFilename

public static org.eclipse.core.resources.IResource getResourceForFilename(String finalPath)

### findWorkingCopy

protected static char[] findWorkingCopy(org.eclipse.core.resources.IResource resultingResource, Iterator<IWorkingCopy> workingCopies)